#ifndef MemSet_h
#define MemSet_h
/*
    GnuGoS60 - A Port of GNU Go to Series60/Symbian
    Copyright (C) 2006, 2007  Ian Dunbar

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifdef __cplusplus
extern "C" {
#endif

#ifdef GLOBALS_DLL
#define GLOBALS_EXTERN __declspec (dllexport)
#else
#define GLOBALS_EXTERN __declspec (dllimport)
#endif

#define memset(ptr, value, size) NativeMemSet (ptr, value, size);

GLOBALS_EXTERN void *NativeMemSet(void *dest, int c, size_t count);

#ifdef __cplusplus
}
#endif


#endif
