/*
    GnuGoS60 - A Port of GNU Go to Series60/Symbian
    Copyright (C) 2006, 2007  Ian Dunbar

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include "gnugoDocument.h"
#include "gnugoApplication.h"
#include "Debug.h"

// UID for the application, this should correspond to the uid defined in the mmp file
#ifdef EKA2
static const TUid KUidgnugoApp = {0xA0001C1D};
#else
static const TUid KUidgnugoApp = {0x200081CC};
#endif
CApaDocument* CgnugoApplication::CreateDocumentL()
    {  
    // Create an gnugo document, and return a pointer to it
    CApaDocument* document = CgnugoDocument::NewL(*this);
    return document;
    }

TUid CgnugoApplication::AppDllUid() const
    {
    // Return the UID for the gnugo application
    return KUidgnugoApp;
    }

