# GnuGoS60 - A Port of GNU Go to Series60/Symbian
# Copyright (C) 2006, 2007  Ian Dunbar
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifeq (WINS,$(findstring WINS, $(PLATFORM)))
ZDIR:=$(EPOCROOT)epoc32\release\$(PLATFORM)\$(CFG)\Z
else
ZDIR:=$(EPOCROOT)epoc32\data\z
endif

ZDIR:=${subst \,/,$(ZDIR)}

TARGETDIR=$(ZDIR)/resource/apps
ICONDIR=../data

ICONTARGETFILENAME=$(TARGETDIR)/gnugo_aif.mif

${TARGETDIR}/%_aif.mif: ${ICONDIR}/%.svg
	mifconv  ${subst /,\,$@} /c32  ${subst /,\,$<}

MAKMAKE:

BLD:

CLEAN:
	cmd /c del ${subst /,\,"${ICONTARGETFILENAME}"}

LIB:

CLEANLIB:

RESOURCE: ${ICONTARGETFILENAME}
		
FREEZE:

SAVESPACE:

RELEASABLES:
	@echo ${subst /,\,"${ICONTARGETFILENAME}"}

FINAL:

